select
tou.numero as reprodutor,
tou.nome as nome_reprodutor,
lote.numero as partida,
pes.nome as inseminador,
prox.data as data_diagnostico,
(case when (prox.diagnostico='P') then 'P' when (prox.cdtiporeproducao in (1,2,3)) then 'N' when (prox.diagnostico='N') then 'N' when (prox.cio in ('1','2')) then 'N' else null end) as diagnostico,
an.numero as numero_matriz,
(case when (an.dtbaixa is null) then 'Ativa' when (an.dtbaixa is not null) then 'Baixada'  else null end) as situacao_matriz,
(case sp.cbasica when 6 then 'Novilha' when 7 then 'Vaca' else null end) as categoria,
rep.data as data_inseminacao,
(case when (rep.condicaoia = 'N') then 'Cio natural' when (rep.condicaoia = 'P')
then 'Prostaglandina' when (rep.condicaoia = 'I') then 'Protocolo IATF' else null end) as condicao,
(case when (rep.condicaoia = 'I') then pro.descricao else null end) as protocolo
from
animal an join reproducao rep on an.cdanimal=rep.cdanimal
left join tiporeproducao tp on rep.cdtiporeproducao=tp.cdtiporeproducao
left join reproducao prox on prox.cdreproducao=(select first 1 ref.cdreproducao from reproducao ref where rep.cdanimal=ref.cdanimal and ref.data>rep.data and ((ref.cdtiporeproducao=4 and diagnostico is not null) or (ref.cdtiporeproducao=4 and cio in (1,2)) or (ref.cdtiporeproducao in (1,2,3)))order by ref.data)
left join tiporeproducao tp2 on prox.cdtiporeproducao=tp2.cdtiporeproducao
left join animal tou on rep.cdreprodutor=tou.cdanimal
left join loteproduto lote on rep.cdloteproduto=lote.cdloteproduto
left join pessoa pes on pes.cdpessoa=rep.cdpessoa
left join sp_categoriaanimal(rep.data, 'CDANIMAL = ' || rep.cdanimal) sp on sp.animal = rep.cdanimal
left join protocoloiatf pro on pro.cdprotocoloiatf = rep.cdprotocoloiatf
where
rep.cdtiporeproducao in (1) 
and prox.data is not null
------ATENO SE VOC DESEJAR FILTRAR PELO NMERO DO TOURO, BASTA RETIRAR, NA PRXIMA LINHA, OS TRACINHOS E INFORMAR O NUMERO DO REPRODUTOR EM MAISCULAS, MANTENDO AS ASPAS SIMPLES
------and tou.numero='NUMERO'
------VALE DESTACAR QUE PODE SER MAIS INTERESSANTE EXPORTAR TODOS OS DADOS E REALIZAR AS FILTRAGENS DIRETAMENTE NA PLANILHA
order by 1,7,10

